<?php
include 'db.php'; 

 $qresults = 'SELECT `idTIPO-VEHICULO` , `NTIPO-VEHICULO` FROM `tipo-vehiculo` WHERE `idTIPO-VEHICULO`>=2 ORDER BY `idTIPO-VEHICULO` ';
 $result = $conn->query($qresults);
    // Agregando select
    while($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) 
	{
        echo '<option value="'.$row['NTIPO-VEHICULO'].'">'.$row['NTIPO-VEHICULO'].'</option>';
}

mysqli_free_result($result);
mysqli_close($conn);
 ?>